---
updatedAt: 2025-05-28T00:03:12.000Z
agentTools:
  projectIndex: https://looksrare.dev/llms.txt
---

# Get LooksRare Seaport events

Get token and order activities for LooksRare Seaport Orders, like Listing, Sale, Cancel, etc. Use `type` param to filter this correctly. The results are ordered by `createdAt`.

> **Notes**: For LooksRare v2 events, you will have to use our `GET /api/v2/events` endpoint. See [get events](https://looksrare.dev/v2/reference/getevents).

The `pagination` query param of the should be referenced as `pagination[first]` and/or `pagination[cursor]`. The cursor for this endpoint is the event `id`.

For example: 

`https://api.looksrare.org/api/v2/events/seaport?pagination[first]=2&pagination[cursor]=b3JkZXIgaWQ=`

# OpenAPI definition

```json
{
  "info": {
    "title": "LooksRare Public API",
    "version": "2.0.0",
    "description": "OpenAPI 3.0-based swagger docs for LooksRare Public API.\n\nLooksRare provides this API free of charge and asks that you provide attribution on your platform (website or app) in return. That can be done by linking to [LooksRare](https://looksrare.org/) from the NFTs or relative data you display utilizing the LooksRare API. Unattributed API use is subject to the possibility of restriction or access removal.\n\nIf you have questions, require a higher rate limit or write access, please join the [LooksRare Developers Discord](https://discord.gg/LooksRareDevelopers)"
  },
  "openapi": "3.0.0",
  "servers": [
    {
      "url": "https://api.looksrare.org",
      "description": "Mainnet API"
    },
    {
      "url": "https://api-sepolia.looksrare.org",
      "description": "Sepolia API (API key check is ignored)"
    }
  ],
  "components": {
    "schemas": {
      "Address": {
        "type": "string",
        "minLength": 42,
        "maxLength": 42,
        "pattern": "^0x[a-fA-F0-9]{40}$",
        "description": "This parameter represents an Ethereum address (42-character hexadecimal string) with 0x appended in front."
      },
      "PaginationInput": {
        "properties": {
          "first": {
            "type": "number",
            "description": "The number of results to display."
          },
          "cursor": {
            "type": "string",
            "description": "The identifier to a record from which to start from."
          }
        },
        "type": "object"
      },
      "OrderStatus": {
        "type": "string",
        "enum": [
          "CANCELLED",
          "ERC_APPROVAL",
          "ERC20_APPROVAL",
          "ERC20_BALANCE",
          "EXECUTED",
          "EXPIRED",
          "INVALID_OWNER",
          "VALID",
          "UNEXECUTABLE"
        ]
      },
      "CreateOrderRequest": {
        "allOf": [
          {
            "$ref": "#/components/schemas/MakerOrderRequest"
          },
          {
            "type": "object",
            "required": [
              "signature"
            ],
            "properties": {
              "signature": {
                "type": "string",
                "description": "65-length ECDSA signature in Ethereum. It should start with 0x."
              }
            }
          }
        ]
      },
      "MakerOrderRequest": {
        "properties": {
          "quoteType": {
            "type": "number",
            "enum": [
              0,
              1
            ],
            "description": "There are 2 quote types: Ask (1) or Bid (0)",
            "example": 0
          },
          "globalNonce": {
            "type": "string",
            "description": "User's current bid / ask nonce",
            "example": "0"
          },
          "subsetNonce": {
            "type": "string",
            "description": "Subset nonce used to group an arbitrary number of orders under the same nonce",
            "example": "0"
          },
          "orderNonce": {
            "type": "string",
            "description": "Nonce for this specific order",
            "example": "2"
          },
          "strategyId": {
            "type": "number",
            "enum": [
              0,
              1
            ],
            "description": "Id of strategy that order's using. We support 2 strategies as of now; Standard (0) and Collection (1) strategy",
            "example": 0
          },
          "collectionType": {
            "type": "number",
            "enum": [
              0,
              1
            ],
            "description": "Collection type id: ERC-721 (0), ERC-1155 (1)",
            "example": 0
          },
          "collection": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Collection contract address"
              }
            ]
          },
          "currency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Currency address. Use zero address to represent ETH.  For Ask, only ETH is allowed. For Bid, only WETH is allowed."
              },
              {
                "example": 0
              }
            ]
          },
          "signer": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Signer address"
              }
            ]
          },
          "startTime": {
            "type": "number",
            "description": "Timestamp in second of the time when the order starts to be valid\nThere are few limits:\n - startTime cannot be 5 minutes older than the current time\n - startTime cannot be 180 days after the current time",
            "example": 1645553279
          },
          "endTime": {
            "type": "number",
            "description": "Timestamp in second of the time when the order becomes invalid\nlimits:\n - endTIme cannot be 180 days after the current time",
            "example": 1645564279
          },
          "price": {
            "type": "string",
            "description": "String representation of the minimum price to be received after the trade, wei-based.",
            "example": "2023600000000000000"
          },
          "itemIds": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of item IDs\nWe currently allow only 1 item IDs at max.  In case of collections strategy, this can be an empty array.",
            "example": [
              1
            ]
          },
          "amounts": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of amount for each item ID\nfor ERC721, it should be 1 for ERC1155, it should be less than 100",
            "example": [
              1
            ]
          },
          "additionalParameters": {
            "type": "string",
            "description": "Additional parameters for complex orders. They should be encoded and in [hexstring](https://docs.ethers.org/v5/api/utils/bytes/#HexString) format.\nWhen not using additional parameters, this should be \"0x\".",
            "example": "0x"
          }
        },
        "type": "object",
        "required": [
          "quoteType",
          "globalNonce",
          "subsetNonce",
          "orderNonce",
          "strategyId",
          "collectionType",
          "collection",
          "currency",
          "signer",
          "startTime",
          "endTime",
          "price",
          "itemIds",
          "amounts",
          "additionalParameters"
        ]
      },
      "V2MerkleTreeProof": {
        "type": "object",
        "properties": {
          "value": {
            "type": "string"
          },
          "position": {
            "type": "number"
          }
        },
        "description": "Merkle tree proof to be used within a merkle tree"
      },
      "Collection": {
        "type": "object",
        "properties": {
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Collection contract address"
              }
            ]
          },
          "owner": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Collection owner address"
              }
            ]
          },
          "setter": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Collection setter address"
              },
              {
                "nullable": true
              }
            ]
          },
          "admin": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Collection admin address"
              },
              {
                "nullable": true
              }
            ]
          },
          "name": {
            "type": "string",
            "description": "Collection name shown on LooksRare website",
            "nullable": true
          },
          "description": {
            "type": "string",
            "description": "Collection description shown on LooksRare website",
            "nullable": true
          },
          "symbol": {
            "type": "string",
            "nullable": true
          },
          "type": {
            "type": "string",
            "enum": [
              "ERC721",
              "ERC1155"
            ]
          },
          "websiteLink": {
            "type": "string",
            "nullable": true
          },
          "facebookLink": {
            "type": "string",
            "nullable": true
          },
          "twitterLink": {
            "type": "string",
            "nullable": true
          },
          "instagramLink": {
            "type": "string",
            "nullable": true
          },
          "telegramLink": {
            "type": "string",
            "nullable": true
          },
          "mediumLink": {
            "type": "string",
            "nullable": true
          },
          "discordLink": {
            "type": "string",
            "nullable": true
          },
          "isVerified": {
            "type": "boolean",
            "description": "Specifies if verified on LooksRare"
          },
          "isExplicit": {
            "type": "boolean",
            "description": "Specifies if flagged as a contract with explicit content of NFTs"
          },
          "logoURI": {
            "type": "string",
            "nullable": true,
            "description": "A link to a collection logo image hosted on our CDN"
          },
          "bannerURI": {
            "type": "string",
            "nullable": true,
            "description": "A link to a collection banner image hosted on our CDN"
          }
        }
      },
      "Token": {
        "type": "object",
        "properties": {
          "id": {
            "type": "number"
          },
          "collectionAddress": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Collection contract address"
              }
            ]
          },
          "tokenId": {
            "type": "string"
          },
          "tokenURI": {
            "type": "string",
            "nullable": true
          },
          "imageURI": {
            "type": "string",
            "description": "A link to a token image/video hosted on our CDN"
          },
          "isExplicit": {
            "type": "boolean",
            "description": "Specifies if flagged as an NFT with explicit content"
          },
          "isAnimated": {
            "type": "boolean",
            "description": "Specifies if the content is animated"
          },
          "flag": {
            "type": "string",
            "enum": [
              "NO_IMAGE",
              "NONE",
              "PORNOGRAPHY",
              "TRIAGE"
            ],
            "description": "Describe the reason for being flagged"
          },
          "name": {
            "type": "string",
            "description": "The token name display on LooksRare"
          },
          "collection": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Collection"
              },
              {
                "nullable": true
              }
            ]
          },
          "attributes": {
            "type": "array",
            "description": "Token attributes",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/Attribute"
            }
          }
        }
      },
      "Attribute": {
        "type": "object",
        "properties": {
          "traitType": {
            "type": "string",
            "example": "Background effect"
          },
          "value": {
            "type": "string",
            "example": "CosUp"
          },
          "displayType": {
            "type": "string",
            "example": "string"
          },
          "count": {
            "description": "number of tokens that has this attribute",
            "type": "string",
            "example": "10"
          },
          "floorOrder": {
            "description": "the floor order of tokens that has this attribute",
            "allOf": [
              {
                "$ref": "#/components/schemas/V2Order"
              },
              {
                "nullable": true
              }
            ]
          }
        }
      },
      "V2OrderResponse": {
        "properties": {
          "id": {
            "type": "string"
          },
          "hash": {
            "type": "string",
            "description": "keccak256 hash of order data"
          },
          "createdAt": {
            "type": "string",
            "format": "date-time"
          },
          "merkleRoot": {
            "type": "string",
            "nullable": true,
            "description": "The root of the merkle tree"
          },
          "merkleProof": {
            "type": "array",
            "nullable": true,
            "description": "The Merkle tree proof for the maker order",
            "items": {
              "$ref": "#/components/schemas/V2MerkleTreeProof"
            }
          },
          "status": {
            "$ref": "#/components/schemas/OrderStatus"
          },
          "referrer": {
            "type": "object",
            "nullable": true,
            "properties": {
              "address": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/Address"
                  },
                  {
                    "description": "Address of referrer for the maker signer"
                  }
                ]
              },
              "rate": {
                "type": "number",
                "description": "Referral rate with 100 basis points",
                "example": 1000
              }
            }
          }
        },
        "type": "object"
      },
      "V2Order": {
        "allOf": [
          {
            "$ref": "#/components/schemas/V2OrderResponse"
          },
          {
            "$ref": "#/components/schemas/CreateOrderRequest"
          }
        ],
        "type": "object"
      },
      "Event": {
        "type": "object",
        "properties": {
          "id": {
            "type": "number"
          },
          "from": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Address referring to a sender"
              }
            ]
          },
          "to": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Address"
              },
              {
                "description": "Address referring to a receiver"
              },
              {
                "nullable": true
              }
            ]
          },
          "type": {
            "type": "string",
            "enum": [
              "LIST",
              "SALE",
              "OFFER",
              "CANCEL_LIST",
              "CANCEL_OFFER"
            ],
            "description": "Event type"
          },
          "hash": {
            "type": "string",
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "format": "date-time"
          },
          "collection": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Collection"
              },
              {
                "description": "Collection object matching with the given collection address"
              },
              {
                "nullable": true
              }
            ]
          },
          "token": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Token"
              },
              {
                "description": "Token object matching with the given token id. `tokenURI` will be null."
              },
              {
                "nullable": true
              }
            ]
          },
          "order": {
            "allOf": [
              {
                "$ref": "#/components/schemas/V2Order"
              },
              {
                "description": "Order object matching with the given order hash"
              },
              {
                "nullable": true
              }
            ]
          }
        }
      },
      "JsonResponseArray": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "default": true
          },
          "message": {
            "type": "string"
          },
          "data": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Object",
            "nullable": true
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "default": false
          },
          "name": {
            "type": "string"
          },
          "message": {
            "type": "string"
          },
          "data": {
            "type": "string",
            "default": null
          }
        }
      },
      "BadRequestErrorResponse": {
        "allOf": [
          {
            "$ref": "#/components/schemas/ErrorResponse"
          },
          {
            "type": "object",
            "properties": {
              "errors": {
                "type": "array",
                "description": "Provides detailed information for each validation error",
                "items": {
                  "type": "object",
                  "properties": {
                    "target": {
                      "type": "object"
                    },
                    "value": {
                      "type": "object"
                    },
                    "property": {
                      "type": "string"
                    },
                    "children": {
                      "type": "array",
                      "items": {}
                    },
                    "constraints": {
                      "type": "object"
                    }
                  }
                }
              }
            }
          }
        ]
      },
      "TooManyRequestsErrorResponse": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "default": false
          },
          "message": {
            "type": "string",
            "default": "Too Many Requests"
          },
          "data": {
            "type": "string",
            "default": null
          }
        }
      }
    },
    "parameters": {
      "collection": {
        "in": "query",
        "name": "collection",
        "schema": {
          "type": "string"
        },
        "description": "Collection contract address. It must be a valid Ethereum address."
      },
      "itemId": {
        "in": "query",
        "name": "itemId",
        "schema": {
          "type": "string"
        },
        "description": "Id of the specific token you want to query for. `collection` address should be provided as well, when `itemId` is provided."
      },
      "from": {
        "in": "query",
        "name": "from",
        "schema": {
          "type": "string"
        },
        "description": "Address referring to a sender. It must be a valid Ethereum address."
      },
      "to": {
        "in": "query",
        "name": "to",
        "schema": {
          "type": "string"
        },
        "description": "Address referring to a receiver. It must be a valid Ethereum address."
      },
      "eventType": {
        "in": "query",
        "name": "type",
        "schema": {
          "type": "string",
          "enum": [
            "LIST",
            "SALE",
            "OFFER",
            "CANCEL_LIST",
            "CANCEL_OFFER"
          ]
        },
        "description": "Event type to filter by.",
        "example": "LIST"
      },
      "eventPagination": {
        "in": "query",
        "name": "pagination",
        "style": "deepObject",
        "explode": true,
        "schema": {
          "$ref": "#/components/schemas/PaginationInput"
        },
        "description": "Pagination filter. When specified, it will return events before the event with event id set as `cursor`. While `first` defines how many results to show.  The default value is 20, and the max value is 150.",
        "example": {
          "first": 10,
          "cursor": "173351618"
        }
      }
    },
    "responses": {
      "BadRequestError": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/BadRequestErrorResponse"
            }
          }
        },
        "description": "Invalid request"
      },
      "TooManyRequestsError": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/TooManyRequestsErrorResponse"
            }
          }
        },
        "description": "Exceeds rate limit"
      },
      "InternalServerError": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        },
        "description": "Internal server error"
      }
    },
    "securitySchemes": {
      "APIKeyHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-Looks-Api-Key"
      }
    }
  },
  "paths": {
    "/api/v2/events/seaport": {
      "get": {
        "operationId": "EventController.getSeaportEvents",
        "security": [
          {
            "APIKeyHeader": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/collection"
          },
          {
            "$ref": "#/components/parameters/itemId"
          },
          {
            "$ref": "#/components/parameters/from"
          },
          {
            "$ref": "#/components/parameters/to"
          },
          {
            "$ref": "#/components/parameters/eventType"
          },
          {
            "$ref": "#/components/parameters/eventPagination"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/JsonResponseArray"
                    },
                    {
                      "type": "object",
                      "properties": {
                        "data": {
                          "type": "array",
                          "items": {
                            "$ref": "#/components/schemas/Event"
                          },
                          "description": "Event list"
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "Get SALE events, one example": {
                    "value": "{\n  \"success\": true,\n  \"message\": null,\n  \"data\": [\n    {\n      \"collection\": {\n        \"address\": \"0x77566D540d1E207dFf8DA205ed78750F9a1e7c55\",\n        \"owner\": \"0x0000000000000000000000000000000000000000\",\n        \"setter\": null,\n        \"admin\": null,\n        \"name\": \"Test721\",\n        \"description\": null,\n        \"symbol\": \"TEST721\",\n        \"type\": \"ERC721\",\n        \"websiteLink\": null,\n        \"facebookLink\": null,\n        \"twitterLink\": \"https://twitter.com/LooksRare\",\n        \"instagramLink\": null,\n        \"telegramLink\": null,\n        \"mediumLink\": null,\n        \"discordLink\": null,\n        \"isVerified\": true,\n        \"isExplicit\": false,\n        \"logoURI\": null,\n        \"bannerURI\": null\n      },\n      \"token\": {\n        \"id\": 34265752,\n        \"collectionAddress\": \"0x77566D540d1E207dFf8DA205ed78750F9a1e7c55\",\n        \"tokenId\": \"551\",\n        \"tokenURI\": null,\n        \"isExplicit\": false,\n        \"isAnimated\": false,\n        \"flag\": \"TRIAGE\",\n        \"name\": \"Test721 #551\",\n        \"description\": \"An ERC-721 test NFT\",\n        \"imageURI\": \"https://static-sepolia.looksnice.org/0x77566D540d1E207dFf8DA205ed78750F9a1e7c55/0x09289ed5c5c14b3ec8c0721cb7e0080518963b3fe724d48fe4dfbcfa331acad5\"\n      },\n      \"order\": {\n        \"id\": \"MTE1MjkyMTUwNDYwNjg0Njk4MQ==\",\n        \"hash\": \"0xf6fb685b57112d4a0de531f361a4ed4d85013e1c637bf0b7ee91a6204719766e\",\n        \"protocol_data\": {\n          \"parameters\": {\n            \"offerer\": \"0x0000000000000000000000000000000000000000\",\n            \"zone\": \"0x0000000000000000000000000000000000000000\",\n            \"zoneHash\": \"0x0000000000000000000000000000000000000000000000000000000000000000\",\n            \"startTime\": \"1686610634\",\n            \"endTime\": \"1686611235\",\n            \"orderType\": 0,\n            \"offer\": [\n              {\n                \"itemType\": 2,\n                \"token\": \"0x77566D540d1E207dFf8DA205ed78750F9a1e7c55\",\n                \"identifierOrCriteria\": \"551\",\n                \"startAmount\": \"1\",\n                \"endAmount\": \"1\"\n              }\n            ],\n            \"consideration\": [\n              {\n                \"itemType\": 0,\n                \"token\": \"0x0000000000000000000000000000000000000000\",\n                \"identifierOrCriteria\": \"0\",\n                \"startAmount\": \"9950000000000000000\",\n                \"endAmount\": \"9950000000000000000\",\n                \"recipient\": \"0x0000000000000000000000000000000000000000\"\n              },\n              {\n                \"itemType\": 0,\n                \"token\": \"0x0000000000000000000000000000000000000000\",\n                \"identifierOrCriteria\": \"0\",\n                \"startAmount\": \"50000000000000000\",\n                \"endAmount\": \"50000000000000000\",\n                \"recipient\": \"0x0000000000000000000000000000000000000000\"\n              }\n            ],\n            \"totalOriginalConsiderationItems\": 2,\n            \"salt\": \"0x0000000000000000000000000000000000000000000000006cdf79d1e0c31e56\",\n            \"conduitKey\": \"0x0000007b02230091a7ed01230072f7006a004d60a8d4e71d599b8104250f0000\",\n            \"counter\": \"0\"\n          },\n          \"signature\": \"0x21069cf689549db211dff1d4715f9c56b0b1b124bf02a0d17953360f41c6142f197b57c9fa605e2d4cc8c7b1519149b648d821885efb3f56518c330af93c1314\"\n        },\n        \"status\": \"VALID\"\n      },\n      \"id\": \"4BJkZXIgaWQ=\",\n      \"from\": \"0xD8B82923bcb2a0f303834c5867d67A274583c68d\",\n      \"to\": \"0xE675A8b7F9E150F3f222C84fa8553fd467186477\",\n      \"type\": \"SALE\",\n      \"hash\": \"0x28ed0cc5bf942dfc9d6191f04cc9c86acb785107b0bc29bfd22d67e9151c261b\",\n      \"createdAt\": \"2023-04-03T13:40:00.000Z\"\n    }\n  ]\n}"
                  }
                }
              }
            },
            "description": "Successful response"
          },
          "400": {
            "$ref": "#/components/responses/BadRequestError"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequestsError"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        },
        "summary": "Get LooksRare Seaport events",
        "description": "Get token and order activities for LooksRare Seaport Orders, like Listing, Sale, Cancel, etc. Use `type` param to filter this correctly. The results are ordered by `createdAt`.\n\n> **Notes**: For LooksRare v2 events, you will have to use our `GET /api/v2/events` endpoint. See [get events](https://looksrare.dev/v2/reference/getevents).\n\nThe `pagination` query param of the should be referenced as `pagination[first]` and/or `pagination[cursor]`. The cursor for this endpoint is the event `id`.\n\nFor example: \n\n`https://api.looksrare.org/api/v2/events/seaport?pagination[first]=2&pagination[cursor]=b3JkZXIgaWQ=`",
        "tags": [
          "Events"
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```